Uploaded image for project: 'Felix'
  1. Felix
  2. FELIX-3145

VerifyError on Java 7

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: ipojo-manipulator-1.8.2
    • Component/s: iPOJO
    • Labels:
      None
    • Environment:
      java 1.7.0
      ant 1.8.2
      felix 3.2.2
      ipojo 1.6.0 1.6.2 1.8.0
      bnd-task : bnd-0.0.401.jar
      Ubuntu Linux

      Description

      The manipulator must use a more recent version of ASM to avoid the following issue:
      java.lang.VerifyError: Expecting a stackmap frame at branch target 5 in method acme.world.EmptyHelloNonImmediate._setInstanceManager(Lorg/apache/felix/ipojo/InstanceManager;)V at offset 1

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                clement.escoffier Clement Escoffier
                Reporter:
                clement.escoffier Clement Escoffier
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: